Issue 106502 - svx: online spelling in draw/impress causes permanent timer
Summary: svx: online spelling in draw/impress causes permanent timer
Status: CLOSED FIXED
Alias: None
Product: Draw
Classification: Application
Component: code (show other issues)
Version: DEV300m63
Hardware: All All
: P3 Trivial (vote)
Target Milestone: 3.4.1
Assignee: ooo
QA Contact: issues@graphics
URL:
Keywords:
Depends on:
Blocks: 90439 106485
  Show dependency tree
 
Reported: 2009-10-30 18:52 UTC by caolanm
Modified: 2017-05-20 10:22 UTC (History)
1 user (show)

See Also:
Issue Type: PATCH
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
one solution (475 bytes, patch)
2009-10-30 18:53 UTC, caolanm
no flags Details | Diff
update patch for 3.3 (483 bytes, patch)
2010-07-13 11:53 UTC, caolanm
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description caolanm 2009-10-30 18:52:23 UTC
In draw/impress there is always a shared editengine lying around used by the
outliner. This editeng ends up in an "unformatted" state after a Clear, and it
gets reused by the Preview system. In the preview system online spelling for the
editeng is turned off to make sure there are no red lines in the preview, and
then re-enabled afterwards. 

When it's re-enabled the StartOnlineSpellTimer is called, but this editeng is
unformatted so in OnlineSpellHdl the "IsFormatted" test fails and the timer gets
triggered again forever. 

If we formatted it somewhere along the line then the loop would end, or if we
only trigger StartOnlineSpellTimer when restoring the online spelling state if
the editeng is formatted then that would fix it too. Attached is the simpler
solution
Comment 1 caolanm 2009-10-30 18:53:11 UTC
Created attachment 65807 [details]
one solution
Comment 2 caolanm 2009-10-30 18:54:26 UTC
fixing this improves battery life, saves the planet, etc.
Comment 3 caolanm 2009-12-04 09:30:25 UTC
This also looks like it would fix some crashes where the spellchecking timer is
still going during shutdown, e.g. https://bugzilla.redhat.com/show_bug.cgi?id=544124
Comment 4 ooo 2010-02-25 12:13:09 UTC
started
Comment 5 ooo 2010-03-18 19:05:24 UTC
verified and applied patch to file (now in own editeng module instead of svx module)
Comment 6 caolanm 2010-07-06 16:45:51 UTC
But where is it added, I don't see this task anywhere in EIS ? and there's no
mention of a specific workspace here.
Comment 7 caolanm 2010-07-13 11:53:16 UTC
Created attachment 70598 [details]
update patch for 3.3
Comment 8 ooo 2010-10-25 13:43:00 UTC
retargeted to 3.4